org.apache.lucene.spatial3d.geom

## Class GeoPolygonFactory.PolygonDescription

- java.lang.Object
- - org.apache.lucene.spatial3d.geom.GeoPolygonFactory.PolygonDescription

- Enclosing class:
    GeoPolygonFactory

      public static class GeoPolygonFactory.PolygonDescription
      extends Object

  Use this class to specify a polygon with associated holes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<? extends GeoPolygonFactory.PolygonDescription>` | `holes` The list of holes
    `List<? extends GeoPoint>` | `points` The list of points

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolygonDescription(List<? extends GeoPoint> points)` Instantiate the polygon description.
    `PolygonDescription(List<? extends GeoPoint> points, List<? extends GeoPolygonFactory.PolygonDescription> holes)` Instantiate the polygon description.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### points

          public final List<? extends GeoPoint> points

      The list of points

    - #### holes

          public final List<? extends GeoPolygonFactory.PolygonDescription> holes

      The list of holes

  - ### Constructor Detail

    - #### PolygonDescription

          public PolygonDescription(List<? extends GeoPoint> points)

      Instantiate the polygon description.
      Parameters:
        `points` - is the list of points.

    - #### PolygonDescription

          public PolygonDescription(List<? extends GeoPoint> points,
                                    List<? extends GeoPolygonFactory.PolygonDescription> holes)

      Instantiate the polygon description.
      Parameters:
        `points` - is the list of points.
        `holes` - is the list of holes.

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.